HaganIrregularSwaptionEngine Class Reference

Pricing engine for irregular swaptions. More...

`#include <ql/experimental/swaptions/haganirregularswaptionengine.hpp>`

Inheritance diagram for HaganIrregularSwaptionEngine:
[legend]

## Public Member Functions

void | calculate () const
Real | HKPrice (Basket &basket, boost::shared_ptr< Exercise > &exercise) const
Real | LGMPrice (Basket &basket, boost::shared_ptr< Exercise > &exercise) const
| HaganIrregularSwaptionEngine (const Handle< SwaptionVolatilityStructure > &, const Handle< YieldTermStructure > &termStructure=Handle< YieldTermStructure >())
Public Member Functions inherited from GenericEngine< IrregularSwaption::arguments, IrregularSwaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Friends

class | rStarFinder

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< IrregularSwaption::arguments, IrregularSwaption::results >
IrregularSwaption::arguments | arguments_
IrregularSwaption::results | results_

## Detailed Description

Pricing engine for irregular swaptions.

References:

1. P.S. Hagan: "Methodology for Callable Swaps and Bermudan 'Exercise into Swaptions'"
2. P.J. Hunt, J.E. Kennedy: "Implied interest rate pricing models", Finance Stochast. 2, 275–293 (1998)

Warning:
  Currently a spread is not handled correctly; it should be a minor exercise to account for this feature as well;